# KDChartGridAttributes.h File Reference

`#include <QMetaType>`
`#include "KDChartGlobal.h"`
`#include "KDChartEnums.h"`

Include dependency graph for KDChartGridAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::GridAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::GridAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::GridAttributes & |
| ) |

Definition at line 279 of file KDChartGridAttributes.cpp.

References KDChart::GridAttributes::gridPen(), KDChart::GridAttributes::gridStepWidth(), KDChart::GridAttributes::gridSubStepWidth(), KDChart::GridAttributes::isGridVisible(), KDChart::GridAttributes::isSubGridVisible(), KDChart::GridAttributes::subGridPen(), and KDChart::GridAttributes::zeroLinePen().

    00280 {
    00281     dbg << "KDChart::GridAttributes("
    00282             << "visible="<<a.isGridVisible()
    00283             << "subVisible="<<a.isSubGridVisible()
    00284             // KDChartEnums::GranularitySequence sequence;
    00285             << "stepWidth=" << a.gridStepWidth()
    00286             << "subStepWidth=" << a.gridSubStepWidth()
    00287             << "pen="<<a.gridPen()
    00288             << "subPen="<<a.subGridPen()
    00289             << "zeroPen="<<a.zeroLinePen()
    00290             << ")";
    00291     return dbg;
    00292 }

Q_DECLARE_TYPEINFO | ( | KDChart::GridAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |